package com.tuoheng.miniprogram.controller;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.miniprogram.service.IWxService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author ChengWang
 * @Date 2023/6/23
 */
@RestController
@Slf4j
@RequestMapping("/weiXin")
public class WxController {

    @Autowired
    private IWxService iWxService;

    //根据code获取openId
    @GetMapping("/getOpenId/{code}")
    public JsonResult getOpenId(@PathVariable("code") String code){
        log.info("进入获取openId接口");
        return iWxService.openid(code);
    }

    //获取access_code值


}
